/* ~~~ /
/ ~ RESET CSS ~ /
/ ~~~ */
:where(:not(html, iframe, canvas, img, svg, video):not(svg, symbol *)) { all: unset; display: revert; }
::before, *::after { box-sizing: border-box; }
a, button { cursor: revert; }
ol, ul, menu { list-style: none; }
img { max-inline-size: 100%; }
table { border-collapse: collapse; }
input, textarea { -webkit-user-select: auto; }
textarea { white-space: revert; }
meter { -webkit-appearance: revert; appearance: revert; }
::placeholder { color: unset; }
:where([hidden]) { display: none; }
:where([contenteditable]:not([contenteditable="false"])) { 
    -moz-user-modify: read-write; 
    -webkit-user-modify: read-write; 
    overflow-wrap: break-word; 
    -webkit-line-break: after-white-space; 
    -webkit-user-select: auto; 
}
:where([draggable="true"]) { -webkit-user-drag: element; }


* {
    box-sizing: border-box;
    font-family: "CC Dave Gibbons";
}

html, body {
/*    overflow-x: hidden;*/
}

 /* CC Dave Gibbons Regular */
@font-face {
    font-family: "CC Dave Gibbons";
    src: url('./assets/fonts/CCDaveGibbonsRegular.otf') format('opentype'); font-weight: normal; font-style: normal;
  }
  
  /* CC Dave Gibbons Regular Italic*/
@font-face {
    font-family: "CC Dave Gibbons"; src: url('./assets/fonts/CCDaveGibbonsItalic.otf') format('opentype'); font-weight: normal; font-style: italic;
  }

  /* CC Dave Gibbons Regular Bold*/
@font-face {
    font-family: "CC Dave Gibbons"; src: url('./assets/fonts/CCDaveGibbonsBoldItalic.otf') format('opentype'); font-weight: 700; font-style: italic;
  }

 /* Courier New */
@font-face {
    font-family: "Courier New";
    src: url('./assets/fonts/cour.ttf') format('opentype'); font-weight: normal; font-style: normal;
  }

  ul li {
    list-style-type: none;
    padding: 0 15px;
  }
  
  a {
    text-decoration: none;
    color: #ffffff;
  }
  

img { max-width: 100%; }

  
.intro, .trailer, .production, .press, .download-press{
    background-color: #D31372;
}
.awards {
    background-color:#6ADFDA;
}
.characters {
    background-color:#890B7F;
}
.crew {
    background-color: #1D344A;
}
#footer{
    background-color: #D9BE97;
}

.container{
    width: 100%;
    display: flex;
    /*padding: 7.14vw;*/
    align-items: center;
    justify-content: center;
    flex-direction: column;
}

.align-items-center { align-items: center; }


.intro-paragraph{
    font-style:italic;
}

.intro-paragraph span{
    font-weight: bold;
}

/*.header .nav-bar{

    display: flex;
    justify-content: space-between;
    align-items: center;
    padding: 1rem 3rem;
    width: 100%;
    height: 100%;

}*/

/* MENU BAR */
.nav-bar { 
    width: 100%; 
    padding: 1.5rem;
    display: flex; 
    align-items: center;
    background: #231F20;
}

.nav-list { 
    width: calc(100% - 80px);
    height: 3vh;
    display: flex;
    flex-wrap: nowrap;
    overflow-x: auto;
    margin-left: 1rem; 
    justify-content: end; 
}


@media (max-width: 69rem) {
    .logo { 
        width: 80px; 
        min-width: unset; 
    }
    .nav-list { 
        justify-content: initial; 
        height: 4vh; 
    }
}

@media (max-width: 60rem) {
    .nav-list { height: 5vh; }
}

@media (max-width: 34rem) {
    .nav-list { height: 6vh; }
}


.nav-list ul{
    display: flex;
    flex-direction: row;
}

.trailer-frame{
    display: flex;
    width: 100%;
    justify-content: center;
    align-items: center;
    height: 100%;
    min-height: 90vh;
}


.pdg-0 { padding: 0; }

.visually-hidden {
    clip: rect(0 0 0 0); 
    clip-path: inset(50%);
    height: 1px;
    overflow: hidden;
    position: absolute;
    white-space: nowrap; 
    width: 1px;
}

.download-press a {
    color: #ffffff;
    text-decoration: none;
    
}

.download-press {
    color:#ffffff;
    text-align: center;
}

.footer-socials ul {
    display: flex;
    margin-top: 7%;
    padding: 0rem;
    gap: 1rem;
}

.footer-socials {
    display: flex;
    align-items: flex-end;
}

.press-text p{
    text-align: center;
}

.press-text span{
    color:#D31372;
}

#header li img {
    opacity: 0;
    transition: opacity 0.15s ease;
}

#header li:hover img {
    opacity: 1;
}

li.team-credit {
    position: relative;
    flex-shrink: 0;
    flex-grow: 1;
    width: calc(20% - 1rem);
    display: flex;
    justify-content: center;
}

@media (max-width: 1024px) {
  li.team-credit { flex-basis: 25%; max-width: 50%; }
}

.gradient-red-to-teal {
    background: linear-gradient( 
      180deg, 
      rgba(210,17,113,1) 0%, 
      rgba(219,65,141,0.25) 15%,
      rgba(255,255,255,0) 50%, 
      rgba(124,227,222,0.25) 90%, 
      rgba(106,223,218,1) 100%
    );
}

.gradient-teal-to-purple {
    background: linear-gradient( 
      180deg, 
      rgba(106,223,218,1) 0%, 
      rgba(124,227,222,0.25) 15%, 
      rgba(255,255,255,0) 50%, 
      rgba(154,45,145,0.25) 90%, 
      rgba(137,11,127,1) 100% 
    );
}

.gradient-purple-to-petrol {
    background: linear-gradient( 
      180deg, 
      rgba(137,11,127,1) 0%, 
      rgba(219,65,141,0.25) 15%, 
      rgba(255,255,255,0) 50%, 
      rgba(61,80,99,0.25) 90%, 
      rgba(29,52,74,1) 100%
    );
}


  section[id]::before {
    content: ''; width: 100%; height: 10rem;
    position: absolute;  top: -10rem;

  }
  section[id]::after {
    content: ''; width: 100%; height: 10rem;
    position: absolute;  bottom: -10rem;  z-index: 1;

  }

  section#trailer::after { background: linear-gradient(0deg, rgba(255,255,255,0) 0%, rgba(211, 19, 114,1) 100%); }
  section#awards::before { background: linear-gradient(180deg, rgba(255,255,255,0) 0%, rgba(106,223,218,1) 100%); }
  section#awards::after { background: linear-gradient(0deg, rgba(255,255,255,0) 0%, rgba(106,223,218,1) 100%); }
  section#characters::before { background: linear-gradient(180deg, rgba(255,255,255,0) 0%, rgba(137,11,127,1) 100%); }
  section#characters::after { background: linear-gradient(0deg, rgba(255,255,255,0) 0%, rgba(137,11,127,1) 100%); }
  section#crew::before { background: linear-gradient(180deg, rgba(255,255,255,0) 0%, rgba(29,52,74,1) 100%); }

@media (max-width: 767px) {
  section#trailer::after { background: linear-gradient(0deg, rgba(255,255,255,0) 50%, rgba(211, 19, 114,1) 100%); }
  section#awards::before { background: linear-gradient(180deg, rgba(255,255,255,0) 50%, rgba(106,223,218,1) 100%); }
  section#awards::after { background: linear-gradient(0deg, rgba(255,255,255,0) 50%, rgba(106,223,218,1) 100%); }
  section#characters::before { background: linear-gradient(180deg, rgba(255,255,255,0) 50%, rgba(137,11,127,1) 100%); }
  section#characters::after { background: linear-gradient(0deg, rgba(255,255,255,0) 50%, rgba(137,11,127,1) 100%); }
  section#crew::before { background: linear-gradient(180deg, rgba(255,255,255,0) 50%, rgba(29,52,74,1) 100%); }
}

li.award {
    display: flex;
    justify-content: center;
    flex-shrink: 1;
    flex-grow: 1;
    flex-basis: 18%;
    min-width: 100px;
}
.award-items {
    gap: 2rem;
    display: flex;
    align-items: center;
    justify-content: center;
}

.character-text{
    font-family: 'Courier New';
    color: #ffffff;
    line-height: 2;
}
.char-text{
    width:100%;
    align-self: center;
}

.press-logo { 
    width: 70%;
    max-width: 200px;
    min-width: 150px;
}

@media (max-width: 617px) {
  .press-logo { 
    width: 70%;
    max-width: 100px;
    min-width: 150px;
    }
}

.crew-member{
    margin: 120px 85px;
}

.crew-role {
    font-family: 'Courier New';
}

.crew-tag{
    width:42%;
    top: -18%;

}

.tag-right {
    transform: translate(35%, -117%);
}

.tag-left {
    transform: translate(-66%, -17%);
}

.crew-text {
    
}
.crew-bio {
    font-family: 'Courier New';
    color: white;
}

.crew-image {
    width:90%;
}

.crew-image-container{
    width: 100%;
    align-items: center;
}

.image-left{
    margin-left: 3rem;
}

.image-right{
    margin-left: 22rem;
}

.text-right{
    transform: translate(36%, 95%);
}

.text-left {
    transform: translate(14%, 110%);
}

@media (max-width: 617px) {
  .crew-image-container{
    width: 100%;
    align-items: baseline
    ;
    }
}

@media (max-width: 700px) {
  .crew-member { margin: 120px 20px; }
}

